curl --request GET \
--url https://api.sandbox.lead.bank/v2/fundings/{funding_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.lead.bank/v2/fundings/{funding_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.lead.bank/v2/fundings/{funding_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.lead.bank/v2/fundings/{funding_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.lead.bank/v2/fundings/{funding_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.lead.bank/v2/fundings/{funding_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.lead.bank/v2/fundings/{funding_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "funding_0o5Fs0EELR0fUjHjbCnEtdUwQe3",
"user_credit_balance_id": "user_credit_balance_1HCpXwx2EK9oYluWbacgeCnFcLf",
"account_number_id": "account_number_7Kq2Lm9PxR4sTvWyZaBcDeFgHiJk",
"currency_code": "USD",
"amount": 1000000,
"metadata": {
"loan_id": "201681646780571"
},
"core_transaction_id": "core_transaction_5BIJT5QH8Qm2n1x~0",
"status": "posted",
"rejection": {
"reason": "",
"details": ""
},
"created_at": "2026-09-17T11:01:36Z",
"updated_at": "2026-09-17T11:05:00Z"
}{
"code": "request_malformed",
"message": "The request is invalid and cannot be parsed by the server.",
"errors": [
{
"code": "url_malformed",
"message": "The request URL could not be parsed."
}
]
}{
"code": "authentication_missing",
"message": "The request has no authentication credentials. Send your API token in the Authorization header.",
"errors": [
{
"code": "authentication_missing",
"message": "The Authorization header is missing. Send your API token as a bearer token.",
"parameters": [
"Authorization"
]
}
]
}{
"code": "object_not_found",
"message": "No object exists at the requested ID, or it is not visible to this caller."
}{
"code": "parameters_invalid",
"message": "One or more parameters are invalid.",
"errors": [
{
"code": "malformed",
"message": "id must match the format funding_*.",
"parameters": [
"id"
]
}
]
}{
"code": "rate_limit_exceeded",
"message": "You have exceeded the rate limit for this endpoint. Retry with backoff."
}{
"code": "internal_server_error",
"message": "An unexpected error occurred. Contact support with the Request-Id header value."
}{
"code": "gateway_timeout",
"message": "An upstream system did not respond in time. Retry with backoff."
}Retrieve a Funding
Retrieve a Funding by its ID. Fundings created through /v0/fundings are not visible on this endpoint.
curl --request GET \
--url https://api.sandbox.lead.bank/v2/fundings/{funding_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.lead.bank/v2/fundings/{funding_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.lead.bank/v2/fundings/{funding_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.lead.bank/v2/fundings/{funding_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.lead.bank/v2/fundings/{funding_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.lead.bank/v2/fundings/{funding_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.lead.bank/v2/fundings/{funding_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "funding_0o5Fs0EELR0fUjHjbCnEtdUwQe3",
"user_credit_balance_id": "user_credit_balance_1HCpXwx2EK9oYluWbacgeCnFcLf",
"account_number_id": "account_number_7Kq2Lm9PxR4sTvWyZaBcDeFgHiJk",
"currency_code": "USD",
"amount": 1000000,
"metadata": {
"loan_id": "201681646780571"
},
"core_transaction_id": "core_transaction_5BIJT5QH8Qm2n1x~0",
"status": "posted",
"rejection": {
"reason": "",
"details": ""
},
"created_at": "2026-09-17T11:01:36Z",
"updated_at": "2026-09-17T11:05:00Z"
}{
"code": "request_malformed",
"message": "The request is invalid and cannot be parsed by the server.",
"errors": [
{
"code": "url_malformed",
"message": "The request URL could not be parsed."
}
]
}{
"code": "authentication_missing",
"message": "The request has no authentication credentials. Send your API token in the Authorization header.",
"errors": [
{
"code": "authentication_missing",
"message": "The Authorization header is missing. Send your API token as a bearer token.",
"parameters": [
"Authorization"
]
}
]
}{
"code": "object_not_found",
"message": "No object exists at the requested ID, or it is not visible to this caller."
}{
"code": "parameters_invalid",
"message": "One or more parameters are invalid.",
"errors": [
{
"code": "malformed",
"message": "id must match the format funding_*.",
"parameters": [
"id"
]
}
]
}{
"code": "rate_limit_exceeded",
"message": "You have exceeded the rate limit for this endpoint. Retry with backoff."
}{
"code": "internal_server_error",
"message": "An unexpected error occurred. Contact support with the Request-Id header value."
}{
"code": "gateway_timeout",
"message": "An upstream system did not respond in time. Retry with backoff."
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the Funding object to retrieve.
64Response
A Funding object.
Unique ID of the Funding object.
64^funding_\w+$"funding_0o5Fs0EELR0fUjHjbCnEtdUwQe3"
ID of the User Credit Balance this funding draws against.
64^user_credit_balance_\w+$"user_credit_balance_1HCpXwx2EK9oYluWbacgeCnFcLf"
The ID of the Lead Bank Account Number object.
^account_number_\w+$"account_number_xyz123"
A three-letter currency code as defined in ISO 4217.
USD "USD"
The total principal disbursed, in minor units.
x >= 11000000
ID of the Core Transaction that credited the destination balance. null until the funding is posted.
^core_transaction_.+~\d+$"core_transaction_5BIJT5QH8Qm2n1x~0"
The current status of the Funding object.
processing, posted, rejected "processing"
Object containing information relevant for cases where the Funding object is in a rejected status. When the object is not in a rejected status, fields will still be present with empty strings.
Show child attributes
Show child attributes
The ISO-8601 timestamp at which the Funding object was created.
"2026-09-17T11:01:36Z"
The ISO-8601 timestamp at which the Funding object was last updated.
"2026-09-17T11:05:00Z"
Additional metadata associated with the funding.
{ "loan_id": "201681646780571" }
Was this page helpful?

